echo off
echo ****************************************
echo * Installing from                      *
echo * Floppy Drive %1:                      *
echo * to Hard Drive %2:                     *
echo *                                      *
echo * If this is incorrect, press CTRL+C   *
echo * to ABORT or                          *
echo ****************************************
pause
cls
echo ****************************************
echo * Create Directory Structure           *
echo ****************************************
%2: > nul:
cd \ > nul:
mkdir \fido > nul:
mkdir \fido\fd > nul:
mkdir \fido\fd\nodelist > nul:
mkdir \fido\fd\mail > nul:
mkdir \fido\fd\packet.sq > nul:
mkdir \fido\fd\files > nul:
mkdir \fido\fd\mail\msg > nul:
mkdir \fido\x00 > nul:
mkdir \fido\squish > nul:
echo ****************************************
echo * Installing MjrFIDO                   *
echo ****************************************
cd \fido > nul:
copy %1:notice.!!! > nul:
copy %1:readme.312 > nul:
copy %1:readme.tic > nul:
copy %1:FIDORT.BAT > nul:
copy %1:HOSTNAME.TBL > nul:
copy %1:AREAS.MJR > nul:
copy %1:MJRFIDO.REG > nul:
copy %1:BLDUSR.EXE > nul:
copy %1:FIDOIMP.EXE > nul:
copy %1:BUSRT.EXE > nul:
copy %1:FIDOEXP.EXE > nul:
copy %1:TICKIMP.EXE > nul:
copy %1:ORIGIN.TAG > nul:
copy %1:FIDOCLN.EXE > nul:
copy %1:MJRFIDO.CFG > nul:
if exist %2:\BBSV6\BBS.BAT %2: > nul:
if not exist %2:\BBSV6\BBS.BAT C: > nul:
cd \BBSV6 > nul:
copy %1:RTFIDO.BAT > nul:
copy %1:FIDOMAIL.BAT > nul:
copy %1:CVIFIDO.MDF > nul:
copy %1:CVIFIDO.DOC > nul:
copy %1:CVILOCK.EXE > nul:
copy %1:CVIKEY.MDF > nul:
copy %1:CVIMHS.EXE > nul:
%2: > nul:
cd \fido\fd > nul:
copy %1:GREP.EXE > nul:
cd \fido\fd\nodelist > nul:
%1:pkunzip -o %1:NODELIST.ZIP > nul:
echo ****************************************
echo * Insert SUPPORT disk in drive %1:      *
echo ****************************************
pause
echo ****************************************
echo * Installing SUPPORT files             *
echo ****************************************
cd \fido\fd > nul:
%1:pkunzip -o %1:FD202.ZIP > nul:
copy    %1:FREQ.LST > nul:
%1:pkunzip -o %1:MERGENL.ZIP > nul:
copy    %1:NODELIST.BAT > nul:
copy    %1:FDNODE.CTL > nul:
cd \fido\x00 > nul:
%1:pkunzip -o %1:X00.ZIP > nul:
cd \fido\squish
%1:pkunzip -o %1:SQSH_101.ZIP > nul:
echo ****************************************
echo * Installation Completed!              *
echo ****************************************
cd \ > nul:
